html{
    scroll-behavior: smooth;
}
:root{
    --glow: rgb(255, 221, 199);
    --glass: rgb(255, 60, 0);
    --invis: rgba(0, 0, 0, 0);
}


body{
    background-attachment: fixed;
    background-position: center;
    background-image: linear-gradient(180deg, rgb(255, 215, 140), rgb(216, 91, 24));
    background-repeat: no-repeat;
    background-size: cover;
    color: rgb(0, 0, 0);
    overflow-x: hidden;
    position: static;
}
header{
    width: 100%;
    height: 6rem;
    margin: 0;
    box-shadow: 0 3px 2px rgba(120, 60, 0, 0.508);
    text-align: left;
    background-image: linear-gradient(180deg, rgba(187, 147, 0, 0),rgba(255, 156, 69, 0.032));
    z-index: 50;
}
.header__fullbox{
    display: grid;
    align-items: center;
    width: 100%
}
.header__contentbox{
    display: grid;
    align-items: center;
}
main{
    grid-row-start: 2;
    grid-column-start: 1;
    grid-column-end: 5;
}
footer{
    grid-row-start: 3;
    grid-column-start: 1;
    grid-column-end: 5;
}
.hr{
    background-color: var(--glass);
    height: 2px;
    margin: 0 auto;
    width: 50%;
}
.main__featuredImage{
    border: double 2px black;
    box-shadow: 0 0 2rem var(--glow);
    display: block;
    margin: 1rem auto;
    max-width: 70%;
    max-height: 800px;
}
.main__featuredVideo{
    display: flex;
    justify-content: center;
    width: 100%
}
.main__iframeVideo{
    align-items: center;
    display: flex;
    justify-content: center;
    overflow: hidden;
    padding: 1rem 0;
    width: 100%;
}
.main__iframeVideo iframe{
    height: 30rem;
    width: 50rem;
    box-shadow: 0 0 1rem var(--glow);
}
.verticalVideo{
    width: 50%;
}
.horizontalVideo{
    width: 80%;
}
   /*fonts*/
   @font-face {
    font-family: 'staatliches';
    src: url('../fonts/staatliches-regular-webfont.woff2') format('woff2'),
         url('../fonts/staatliches-regular-webfont.woff2') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'oswald';
    src: url('../fonts/oswald-variablefont_wght-webfont.woff2') format('woff2'),
         url('../fonts/oswald-variablefont_wght-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}
@font-face {
    font-family: 'Inika';
    src: url('../fonts/inika-regular-webfont.woff2') format('woff2'),
        url('../fonts/inika-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'poppins';
    src: url('../fonts/poppins-medium-webfont.woff2') format('woff2'),
        url('../fonts/poppins-medium-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'inter';
    src: url('../fonts/inter-variablefont_slntwght-webfont.woff2') format('woff2'),
        url('../fonts/inter-variablefont_slntwght-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

   /*text attributes*/


h1, h2{
    font-family: 'poppins', Arial, Helvetica, sans-serif;  
                }

ul, ol {
    font-family: 'poppins', Arial, Helvetica, sans-serif;  
                }
h1, h2, h3, h4{
    color:rgb(0, 0, 0);
    font-family: 'poppins', Arial, Helvetica, sans-serif; 
    margin: 1rem;
    text-align: center;
    /* text-shadow: .25rem .25rem .15rem black; */
                }           
h1{
    font-size: 2.5rem;
}  
.title{
    color: white;
    text-decoration: none;
    margin: 0;
    text-shadow: 0 3px 5px rgb(120, 60, 0);
}
.bigTitle{
    font-size: 3rem;
}
.title:visited{
    color: white;
}
h2{
    font-size: 2rem;
    color: white;
    text-shadow: 0 3px 5px rgb(120, 60, 0);
}  
h3{
    font-size: 1.5rem;
}  
h4{
    font-size: 1.2rem;
    color: white;
    text-shadow: 0 3px 5px rgb(120, 60, 0);
    padding-bottom: 2rem;
}
.main__heading{
    margin: 2rem 0 0 0;
}
p {
    color: rgb(0, 0, 0);
    line-height: 1.8rem;
    font-family: 'inter', Arial, Helvetica, sans-serif; 
    font-size: 1.2rem;
    font-style: normal;
    font-weight: 900;
    margin: 1rem 1rem;
    text-align: center;
    /* text-shadow: .25rem .25rem .15rem black; */
}

p.freeform{
    margin: 1rem 20%;
    padding: 2rem;
    border-radius: 2rem;
    background-image: linear-gradient(180deg, rgb(255, 255, 255), rgb(240, 240, 240));
    box-shadow: 0 3px 5px rgb(120, 60, 0);
}
p.paragraph {
    margin: 2rem 20%;
    text-align: left;
}
/*Resume formatting*/
.resume__resume{
    border: solid 2px white;
    background-image: linear-gradient(180deg, rgb(255, 255, 255), rgb(234, 234, 234));
    border-radius: 2rem;
    margin: 1rem 10%;
    padding: 2rem;
    box-shadow: 0 3px 5px rgb(120, 60, 0);
}
.resume__section{
    margin: 3rem 0;
}
.resume__sectionHeader{
    color: black;
    text-shadow: none;
    text-align: left;
    line-height: 2.3rem;
}
h3.resume__sectionHeader{
    font-size: 2rem;
}
.resume__bullet{
    font-size: 1.2rem;
    line-height: 1.6rem;
}
p.resume__sectionHeader{
    font-size: 1.5rem;
}
    /*buttons*/
:link{
    color: rgb(146, 0, 0); font-family: 'poppins', Arial, Helvetica, sans-serif;
    display: inline;
    font-size: 1.5rem;
    font-weight: bold;
    font-style: normal;
    line-height: 2rem;
    text-align: center;

    /* text-shadow: .15rem .15rem .1rem black; */
    }
:visited{
    color: rgb(65, 65, 65)

}

button{
    background-color: var(--invis);
    border-style: none;
    color: white;
    font-family: 'staatliches', Arial, Helvetica, sans-serif; 
    font-size: 1.5rem;
    transition: all .1s ease-out;
    width: auto;
}
button:active{
    /* background-color: var(--glass); */
}
button:hover{
    transform: scale(1.05);
}
/*Header*/
.header__hamburger{
    display: flex;
    height: 3rem;
    justify-content: center;
    margin: 0 auto;
    padding: 0;
    width: 15rem;
}
.header__menuListings{
    display: none;
    flex-direction: column;
    justify-content: center;
}
.header__nestedName{
    border: solid 2px #ffffff;
    border-radius: 1rem;
    display: none;
    height: 3rem;
    margin: 2rem .5rem .5rem .5rem;
    padding: 2rem .5rem;
    width: 15rem;
}
.open{
    display: flex;
}
.off{
    display: none;
}
.lit{
    background-color: var(--glass);
}
.header__menuButton{
    border: solid 2px white;
    border-radius: 1rem;
    display: block;
    height: 3rem;
    line-height: 3rem;
    margin: .25rem auto;
    text-align: center;
    transition: all .1s ease-out;
    width: 15rem;
}
.header__menuButton:hover{
    transform: scale(1.05);
}
/*Arrows*/
.arrow{
    height: auto;
    margin: 0 .25rem;
    max-width: 100%;
    transition: opacity .3s ease-in-out;
    z-index: 7;
}
.leftArrow{
    align-items: center;
    display: flex;
    justify-content: flex-end;
    width: 100%;
    z-index: 7;
}
.rightArrow{
    align-items: center;
    display: flex;
    justify-content: flex-start;
    width: 100%;
    z-index: 7;
}
/*Functional elements, home carousel and blog*/
.main__postReel{
    display: flex;
    border-radius: 1rem;
    align-items: center;
}
.main__icon{
    display: flex;
    height: 15rem;
    border-radius: 1rem;
    width: 15rem;
    box-shadow: 0 3px 5px rgb(120, 60, 0);
}
.blog__icon{
    border: solid 2px white;
    border-radius: 1rem;
    display: flex;
    height: 14rem;
    margin: .5rem;
    max-width: 14rem;
    object-fit: cover;
    transition: all .1s linear;
    box-shadow: 0 3px 5px rgb(97, 133, 144);
}
.blog__icon:hover{
    --box-shadow: 0 0 2rem var(--glow);
    transform: scale(1.05);
}
.blog__postArea{
    /* border: solid 3px white; */
    background-image: linear-gradient(180deg, rgb(255, 255, 255), rgb(234, 234, 234));
    border-radius: 2rem;
    box-shadow: 0 3px 5px rgb(120, 60, 0);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 1rem auto;
    overflow: hidden;
    padding: 2rem;
    width: 80%;
}
.featured__postArea{
    /* border: solid 3px white; */
    border-radius: 2rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 1rem auto;
    overflow: hidden;
    padding-bottom: 2rem;
    width: 80%;
}
.blog__buttons{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.blogButton{
    border: solid 2px white;
    text-shadow: 0 3px 5px rgb(120, 60, 0);
    box-shadow: 0 3px 5px rgb(120, 60, 0);
    border-radius: 1rem;
    height: 4rem;
    margin: .25rem;
    width: 8rem;
}

.main__postArea{
    display: flex;
    justify-content: center;
}
.main__postReel{
    display: grid;
    grid-template-columns: 20% 20% 20% 20% 20%;
    justify-items: center;
    margin: 0 1rem;
    max-width: 60%;
}
.main__postCard{
    border: solid 2px white;
    background-image: linear-gradient(180deg, rgb(255, 255, 255), rgb(234, 234, 234));
    box-shadow: 0px 3px 5px brown;
    border-radius: 1rem;
    display: block;
    height: auto;
    margin: 2rem auto;
    padding: 1rem;
    max-width: 450px;
}
.main__reelBlocker{
    display: none;
    height: 250px;
    position: absolute;
    width: 90%;
    z-index: 3;
}
.smallIcon{
    height: 5rem;
    opacity: .6;
    width: 5rem;
    z-index: 1;
}
.medIcon{
    height: 10rem;
    opacity: .8;
    width: 10rem;
    z-index: 2;
}
.largeIcon{
    height: 15rem;
    width: 15rem;
    z-index: 4;
}
.icon{
    border: solid 2px white;
    border-radius: 1.2rem;
    object-fit: cover;
    overflow: hidden;
    position: relative;
    transition: all .1s ease-out;
}
.icon:hover{
    box-shadow: 0 0 2rem var(--glow);
    transform: scale(1.05);
}
.portfolio__navigation{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.portfolio__button{
    border: solid 2px white;
    border-radius: 1rem;
    margin: .25rem;
    padding: 1rem 1rem;
    width: 8rem;
}
.portfolio__button:active{
    background-color: var(--glass);
}
.portfolioIcon{
    height: 20rem;
    margin: .5rem;
    max-width: 20rem;

}

.portVert{
    width: 20rem;
    margin: .5rem;
    max-height: 20rem;

}


/*Footer stuff*/
.footer__contacts{
    display: flex;
    justify-content: space-around;
    margin: 0 auto 3rem auto;
    max-width: min-content;
}
.footer__icon{
    width: 5rem;
    padding: .5rem;
    transition: all .1s ease-out;
}
.footer__icon:hover{
    transform: scale(1.05);
}
.footer__text{
    color:rgb(255, 255, 255);
}


/*Image display box, for when images are clicked*/
.zoomer{
    max-height: 100vh;
    width: 80vw;
}
.displayBox{
    display: none;
}
.displayOpen{
    align-content: center;
    align-items: center;
    background-color: rgb(0, 0, 0);
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
    justify-items: center;
    max-height: 100vh;
    max-width: 100vw;
    padding: 1rem;
    position: fixed;
    width: 100%;
    z-index: 50;
    
}

a.bigLink{
    color: lightskyblue; font-family: 'oswald', Arial, Helvetica, sans-serif;
    font-size: 4rem;
}





/*animations*/
h1.bigname{
    color: black;
    font-size: 10rem;
}
.page__load{
    display: none;
}
@keyframes opener {
    0%{
        display: block;
        opacity: 1;
        overflow: hidden;
        -webkit-text-stroke: 2px black;   
    }
    25%{
        opacity: 1;
    }
    75%{
        opacity: 1;
    }
    99%{
        opacity: 0;
        height: 100%;
    width: 100%  
    }
100%{
    display: none;
    opacity: 0;
    height: 0;
    width: 0  
}
}
.animationActivate{
    align-items: center;
    animation: opener 2s linear .5s 1 forwards;
    background: black;
    background-attachment: fixed;
    color: black;
    display: flex;
    font-size: 10rem;
    height: 100%; 
    justify-content: center;
    letter-spacing: .3rem;
    margin: 0;
    opacity: 1;
    overflow: hidden;
    position: fixed;
    width: 100%;
    -webkit-text-stroke: .5px black;
    z-index: 1000;
}

@keyframes fadeInAnim{
    from{
        opacity: 0;
    }
    to{
        opacity: 1;
    }
}
@keyframes fadeInMedAnim{
    from{
        opacity: 0;
    }
    to{
        opacity: .8;
    }
}
@keyframes fadeInSmallAnim{
    from{
        opacity: 0;
    }
    to{
        opacity: .6;
    }
}
.fadeIn{
    animation: fadeInAnim .2s ease-in forwards;
}
.fadeInMed{
    animation: fadeInMedAnim .2s ease-in forwards;
}
.fadeInSmall{
    animation: fadeInSmallAnim .2s ease-in forwards;
}





/*Responsive adjustments*/
@media screen and (min-width: 1000px){
    .header__hamburger{
        display: none;
    }
    .header__menuListings{
        align-items: center;
        display: flex;
        flex-direction: row;
        margin: 2rem 0 .5rem 0;
    }
    .header__menuButton{
        display: block;
        height: 3rem;
        margin: .25rem .25rem;
        width: 10rem;
        min-width: 7rem;
    }
    .midButton{
        height: 4.5rem;
        line-height: 4.5rem;
    }
    .header__name{
        display: none;
    }
    .header__nestedName{
        display: block;
        height: 3rem;
        margin: 0;
        padding: 2rem 1rem;
        width: 15rem;
    }
    .main__featuredImage{
        max-width: 50%;
    }

    .innerNest{
        border: none;
        font-size: 2rem;
        height: 3rem;
        margin: 0 auto;
        min-width: 15rem;
        width: 10rem;
        text-align: center;
        
    }
    .arrow{
        opacity: .2;
    }
    .smallIcon{
        opacity: 1;
    }
    .medIcon{
        opacity: 1;
    }
}

@media screen and (max-width: 1000px){
    p.freeform{
        margin: 1rem 4rem;
    }
    .blog__icon{
        height: 11rem;
        width: 11rem;
    }
    .portfolioIcon{
        height: 15rem;
        margin: .5rem;
        width: 15rem;
    
    }
    .main__iframeVideo iframe{
        height: 15rem;
        width: 25rem;
    }
    .main__iframeVideo{
        height: 15rem;
        width: 100%;
    }

}@media screen and (max-width: 500px){
    .main__reelBlocker{
        display: block;
        margin: 0 auto;
    }
    p.freeform{
        margin: 1rem 2rem;
    }
    p.paragraph{
        margin: 2rem 2rem;
    }
    p{
        /* font-size: 1.5rem; */
        /* line-height: 2rem; */
    }
    .horizontalVideo{
        width: 100%;
    }
    .resume__resume{
        margin: 1rem auto;
    }
    .blog__icon{
        height: 7rem;
        width: 7rem;
    }
    .portfolioIcon{
        height: 10rem;
        margin: .5rem;
        width: 10rem;
    
    }
}
@media screen and (max-width: 350px){
    p.freeform{
        margin: 1rem .5rem;
    }
    p{
        font-size: 1.5rem;
    }
    .smallIcon{
        opacity: 0;
    }
    .medIcon{
        opacity: 0;
    }
    .largeIcon{
        height: 12rem;
        width: 12rem;
    }
    .blog__icon{
        height: 5rem;
        width: 5rem;
    }
    .portfolioIcon{
        height: 8rem;
        margin: .5rem;
        width: 8rem;
    
    }
}
@media screen and (min-width: 1800px){
    body{
        background-repeat: repeat;
    }
    h1{
        /* font-size: 4rem; */
    }
    h2{
        /* font-size: 3rem; */
    }
    h3{
        /* font-size: 2rem; */
    }
    p{
        /* font-size: 2rem; */
        /* line-height: 3rem; */
    }
}
@media screen and (min-width: 800px){
    .verticalVideo{
        width: 30%;
    }
}